package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussUserProfit implements Serializable {
    private Integer id;

    private Integer userid;

    private Integer parentid;

    private String rolecode;

    private BigDecimal teamtransflow;

    private BigDecimal owntransflow;

    private BigDecimal directtransflow;

    private BigDecimal indirecttransflow;

    private BigDecimal totalprofitamt;

    private BigDecimal directprofitamt;

    private BigDecimal indirectprofitamt;

    private BigDecimal otherprofitamt;

    private BigDecimal t2profitamt;

    private BigDecimal t3profitamt;

    private BigDecimal dividprofitamt;

    private BigDecimal areaflow;

    private BigDecimal areaprofitamt;

    private Date createtime;

    private Date profitdate;

    private String remarks;

    private String levelcode;

    private String profitmonth;

    private Integer transnum;

    private Integer owntransnum;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public Integer getParentid() {
        return parentid;
    }

    public void setParentid(Integer parentid) {
        this.parentid = parentid;
    }

    public String getRolecode() {
        return rolecode;
    }

    public void setRolecode(String rolecode) {
        this.rolecode = rolecode == null ? null : rolecode.trim();
    }

    public BigDecimal getTeamtransflow() {
        return teamtransflow;
    }

    public void setTeamtransflow(BigDecimal teamtransflow) {
        this.teamtransflow = teamtransflow;
    }

    public BigDecimal getOwntransflow() {
        return owntransflow;
    }

    public void setOwntransflow(BigDecimal owntransflow) {
        this.owntransflow = owntransflow;
    }

    public BigDecimal getDirecttransflow() {
        return directtransflow;
    }

    public void setDirecttransflow(BigDecimal directtransflow) {
        this.directtransflow = directtransflow;
    }

    public BigDecimal getIndirecttransflow() {
        return indirecttransflow;
    }

    public void setIndirecttransflow(BigDecimal indirecttransflow) {
        this.indirecttransflow = indirecttransflow;
    }

    public BigDecimal getTotalprofitamt() {
        return totalprofitamt;
    }

    public void setTotalprofitamt(BigDecimal totalprofitamt) {
        this.totalprofitamt = totalprofitamt;
    }

    public BigDecimal getDirectprofitamt() {
        return directprofitamt;
    }

    public void setDirectprofitamt(BigDecimal directprofitamt) {
        this.directprofitamt = directprofitamt;
    }

    public BigDecimal getIndirectprofitamt() {
        return indirectprofitamt;
    }

    public void setIndirectprofitamt(BigDecimal indirectprofitamt) {
        this.indirectprofitamt = indirectprofitamt;
    }

    public BigDecimal getOtherprofitamt() {
        return otherprofitamt;
    }

    public void setOtherprofitamt(BigDecimal otherprofitamt) {
        this.otherprofitamt = otherprofitamt;
    }

    public BigDecimal getT2profitamt() {
        return t2profitamt;
    }

    public void setT2profitamt(BigDecimal t2profitamt) {
        this.t2profitamt = t2profitamt;
    }

    public BigDecimal getT3profitamt() {
        return t3profitamt;
    }

    public void setT3profitamt(BigDecimal t3profitamt) {
        this.t3profitamt = t3profitamt;
    }

    public BigDecimal getDividprofitamt() {
        return dividprofitamt;
    }

    public void setDividprofitamt(BigDecimal dividprofitamt) {
        this.dividprofitamt = dividprofitamt;
    }

    public BigDecimal getAreaflow() {
        return areaflow;
    }

    public void setAreaflow(BigDecimal areaflow) {
        this.areaflow = areaflow;
    }

    public BigDecimal getAreaprofitamt() {
        return areaprofitamt;
    }

    public void setAreaprofitamt(BigDecimal areaprofitamt) {
        this.areaprofitamt = areaprofitamt;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getProfitdate() {
        return profitdate;
    }

    public void setProfitdate(Date profitdate) {
        this.profitdate = profitdate;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    public String getLevelcode() {
        return levelcode;
    }

    public void setLevelcode(String levelcode) {
        this.levelcode = levelcode == null ? null : levelcode.trim();
    }

    public String getProfitmonth() {
        return profitmonth;
    }

    public void setProfitmonth(String profitmonth) {
        this.profitmonth = profitmonth == null ? null : profitmonth.trim();
    }

    public Integer getTransnum() {
        return transnum;
    }

    public void setTransnum(Integer transnum) {
        this.transnum = transnum;
    }

    public Integer getOwntransnum() {
        return owntransnum;
    }

    public void setOwntransnum(Integer owntransnum) {
        this.owntransnum = owntransnum;
    }
}